Skip to content

Test credit requirement formula

Request

Use this to test the formula for certification credit requirements

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

applicationIdstringrequired

The id of the application

Bodyapplication/jsonrequired

Credit application request

credit_type_idstring(Credit Type)required

The type of credits required

formulastring(Formula)required

A formula to determine the number of credits

number_of_creditsnumber, (float)(Number Of Credits)required

The number of credits required

typestring(Type)

Whether or not the number of credits is fixed or calculated

Enum:"calculated""fixed"
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applications/{tenantId}/creditRequirementFormulaTest/{applicationId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "credit_type_id": "string",
    "formula": "string",
    "number_of_credits": 0.1,
    "type": "calculated"
  }'

Responses

Conflicts were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
date_requirement_fulfilledstring, (date-time)(Date Requirement Fulfilled)

The date that the requirement was fulfilled

idstring(ID)required

Requirement id

internal_notesstring(Internal Notes)

Internal notes

namestring(Name)

A description of the requirement

not_applicableboolean(Not Applicable)

If true, this requirement is not applicable to this application and not used in calculations

notesstring(Notes)

Any notes, visible to the applicant

portal_explanationstring(Portal Explanation)
statusstring(Status)required
Enum:"fulfilled""pending review""unfulfilled"
typestring(Type)
weightnumber, (float)(Weight)
Response
{ "date_requirement_fulfilled": "2019-08-24T14:15:22Z", "id": "string", "internal_notes": "string", "name": "string", "not_applicable": true, "notes": "string", "portal_explanation": "string", "status": "fulfilled", "type": "string", "weight": 0.1 }